Subject: Bug#3065: lsof looks for /System.map

From: [email-masked] (Ian Jackson)
Date: Thu, 18 Jul 96 17:52 BST

Miquel van Smoorenburg <[email-masked]> wrote wrt this report:
...
> Duh. I hate the /System.map and /vmlinuz symlinks in /. I feel they
> clutter up / without any reason; I prefer to keep that kind of stuff
> in /boot (and I do).

I agree, and this seems to be what we in Debian have standardised on.

> [Dominik Kubla wrote:]
...
> >  ln -s /boot/System.map-`uname -r` /System.map
> 
> Nah. As I said, I don't like the /System.map symlink. If you want to have
> one, dump a script in /etc/rc.boot that takes care of it. (see the
> manpages for rc.boot).

I agree.

...
> > I will reassign this bug report to the sysvinit package, so that Miquel
> > can close it when he releases the next sysvinit.
> 
> Please don't.

I respectfully request the lsof maintainer to change the program to
look in /boot for the System.map file.

I see that this bug has been closed (but is still assigned to lsof); I
shall reopen it.

Thanks,
Ian.